Subject: RE: mplsInterfaceConfTable in LSR MIB

From: "Cucchiara, Joan" <[email-masked]>
Date: Thu, 17 Aug 2000 19:23:11 -0400

-----Original Message-----
> From: Thomas D. Nadeau [mailto:[email-masked]]
> Sent: Thursday, August 17, 2000 2:17 PM
> To: Sudhanshu Jain; [email-masked]
> Cc: cheenu Srinivasan; [email-masked]
> Subject: Re: mplsInterfaceConfTable in LSR MIB
>
>        Hi Sudhanshu,
>
>
>> I have some doubt on draft-ietf-mpls-lsr.mib.
>> 
>> Here "mplsInterfaceConfTable" has all the object IDs as read only. Is
there any specific reason to make these 
>> parameters as read only?
>
>        Yes, the reason is that RFC2233 interfaces should be created 
> by the system. The MPLS parameters are viewed as being attached
> or augmenting those.

However, the ifTable and ifXTable do have
read-write (e.g. ifAdminStatus) objects and thus, 
it is possible to have a read-write objects  
in the mplsInterfaceConfTable.

Sudhanshu, there has only been one MIB for MPLS protocols so far which 
is the LDP MIB.  What it takes MIB-wise to configure other 
MPLS protocols (CR-LDP and MPLS-RSVP and maybe other new protocols) still
needs to
be addressed.  Trying to put in additional objects which
may be common to all/most MPLS protocols in the LSR MIB without these
other protocol MIBs to base it on, would probably be error-prone in my
opinion.  
(I'm not speaking of the changes in the objects
you suggest, but just to make a point in general).

I anticipate that there will be useful feedback on what is already in LSR
MIB which will
certainly be valuable, particularly with the XC Table, and
I would like to see what has been defined already in the LSR MIB
get some deployment experience, and ALSO see these other MPLS protocol MIBs
be developed.  At that point, revisiting the LSR MIB could be done. 

>
>
>> Is there any other mib which may allow some of these params like
"mplsInterfaceLabelMinOut",
>> "mplsInterfaceLabelMaxOut", to configure?
>
>        IETF-LDP-MIB

In the LDP MIB, one can configure label ranges, for example (400-800) and
(1000-2000) on
an interface. Assuming that LDP was the only MPLS protocol on that interface
and 
it was configured with the label ranges given in the previous sentence, 
the value of mplsInterfaceLabelMinOut would be 400 and the value of 
mplsInterfaceLabelMaxOut would be 2000.  This would not show
the gap in labels (801-999).  This may or may not be important, but wanted
to give an
example. 

  Thanks, Joan

>        --Tom